<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__endpoint.html">pdts_endpoint</a></li><li class="navelem"><a class="el" href="classpdts__endpoint_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__endpoint_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a5fe0067ef616c532bf3f06f4d0287135"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fe0067ef616c532bf3f06f4d0287135"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a5fe0067ef616c532bf3f06f4d0287135">rec_rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1aec3264c12d2a818f0f1d7d6fba54d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aec3264c12d2a818f0f1d7d6fba54d2"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a1aec3264c12d2a818f0f1d7d6fba54d2">rxphy_aligned</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4543a50a68a536d6c3d4b69d946e4a27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4543a50a68a536d6c3d4b69d946e4a27"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a4543a50a68a536d6c3d4b69d946e4a27">clk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09e7e47cc89a9023f75b317a4ff9f997"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09e7e47cc89a9023f75b317a4ff9f997"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a09e7e47cc89a9023f75b317a4ff9f997">rxphy_rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbab374eb00ecac2d5662fe00d6b7a69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbab374eb00ecac2d5662fe00d6b7a69"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#acbab374eb00ecac2d5662fe00d6b7a69">rxphy_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e886a6fa760b1f47036c3e7cdbfd858"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e886a6fa760b1f47036c3e7cdbfd858"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a1e886a6fa760b1f47036c3e7cdbfd858">rst_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae803cd3851a3ef7606b64d71eeed5efb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae803cd3851a3ef7606b64d71eeed5efb"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#ae803cd3851a3ef7606b64d71eeed5efb">rx_err</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a277f90518b15d8bea3aea1d3a6a5f1a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a277f90518b15d8bea3aea1d3a6a5f1a4"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a277f90518b15d8bea3aea1d3a6a5f1a4">phase_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0105b17e2c3444fd42bcbeb56f1f07dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0105b17e2c3444fd42bcbeb56f1f07dd"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a0105b17e2c3444fd42bcbeb56f1f07dd">phase_rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61b48cc8450a5f8e354cd1f78baaf473"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61b48cc8450a5f8e354cd1f78baaf473"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a61b48cc8450a5f8e354cd1f78baaf473">stb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e1c46e498c8b1d05943475162d3e250"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e1c46e498c8b1d05943475162d3e250"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a1e1c46e498c8b1d05943475162d3e250">k</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a060684a7719284382181bab50ee842e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a060684a7719284382181bab50ee842e7"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a060684a7719284382181bab50ee842e7">s_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ffd90d2309fbfa7f165c1c2da7f12f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ffd90d2309fbfa7f165c1c2da7f12f1"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a2ffd90d2309fbfa7f165c1c2da7f12f1">s_first</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14ce14b0e3c632926b9641f6e663f87b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14ce14b0e3c632926b9641f6e663f87b"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a14ce14b0e3c632926b9641f6e663f87b">d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f8d4634a57ed7e0623e4953bc1287fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f8d4634a57ed7e0623e4953bc1287fc"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a5f8d4634a57ed7e0623e4953bc1287fc">dr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a738bf5965150f6d6a884f924cabfbfde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a738bf5965150f6d6a884f924cabfbfde"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a738bf5965150f6d6a884f924cabfbfde">rdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a1ed8c91bc16716ff445b1c0fd115cca6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ed8c91bc16716ff445b1c0fd115cca6"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a1ed8c91bc16716ff445b1c0fd115cca6">startup</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_ep_startup</b>  </td></tr>
<tr class="memitem:a619760e6901f2bad9c9333c72f5f9772"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a619760e6901f2bad9c9333c72f5f9772"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a619760e6901f2bad9c9333c72f5f9772">clkgen</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx_si5344</b>  </td></tr>
<tr class="memitem:a6f889bca0c82100240eef2239e698e14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f889bca0c82100240eef2239e698e14"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a6f889bca0c82100240eef2239e698e14">rxphy</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx_phy</b>  </td></tr>
<tr class="memitem:a8e5b33bf1e98bb467edc31c48fde245f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e5b33bf1e98bb467edc31c48fde245f"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a8e5b33bf1e98bb467edc31c48fde245f">rx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx</b>  </td></tr>
<tr class="memitem:a6120ebabcd02e35082049723d85f6a08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6120ebabcd02e35082049723d85f6a08"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a6120ebabcd02e35082049723d85f6a08">ts</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_tstamp</b>  </td></tr>
<tr class="memitem:a1ed8c91bc16716ff445b1c0fd115cca6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ed8c91bc16716ff445b1c0fd115cca6"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a1ed8c91bc16716ff445b1c0fd115cca6">startup</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_ep_startup</b>  </td></tr>
<tr class="memitem:a619760e6901f2bad9c9333c72f5f9772"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a619760e6901f2bad9c9333c72f5f9772"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a619760e6901f2bad9c9333c72f5f9772">clkgen</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx_si5344</b>  </td></tr>
<tr class="memitem:a6f889bca0c82100240eef2239e698e14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f889bca0c82100240eef2239e698e14"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a6f889bca0c82100240eef2239e698e14">rxphy</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx_phy</b>  </td></tr>
<tr class="memitem:a8e5b33bf1e98bb467edc31c48fde245f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e5b33bf1e98bb467edc31c48fde245f"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a8e5b33bf1e98bb467edc31c48fde245f">rx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_rx</b>  </td></tr>
<tr class="memitem:a6120ebabcd02e35082049723d85f6a08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6120ebabcd02e35082049723d85f6a08"></a>
<a class="el" href="classpdts__endpoint_1_1rtl.html#a6120ebabcd02e35082049723d85f6a08">ts</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_tstamp</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__endpoint_8vhd_source.html#l00045">45</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__endpoint_8vhd_source.html">pdts_endpoint.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__endpoint_8vhd_source.html">pdts_endpoint.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__endpoint_8vhd_source.html">pdts_endpoint.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
